import React, { Component } from 'react';
type FluentAdFlowWidgetProps = {
    style?: {
        height?: number;
        [key: string]: any;
    };
    params?: any;
    onAdShow?: (isVisible: boolean) => void;
    wrapperName?: any;
    wrapperVersion?: any;
};
export interface FluentAdFlowWidgetState {
    height: number;
    viewId: string;
    isParamsSet: boolean;
}
export declare class FluentAdFlowWidgetView extends Component<FluentAdFlowWidgetProps, FluentAdFlowWidgetState> {
    private widgetInstanceRef;
    private subscriberOnAdFlowContainerClosed;
    private subscriberOnAdFlowContainerShow;
    private subscriberOnAdFlowContainerHeightChanged;
    private subscriberOnError;
    constructor(props: FluentAdFlowWidgetProps);
    componentDidMount(): void;
    setParams: (params: any) => void;
    componentWillUnmount(): void;
    render(): React.JSX.Element;
}
export default FluentAdFlowWidgetView;
//# sourceMappingURL=fluent-adflow-widget.d.ts.map